apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  annotations:
    io.rancher.container.pull_image: always
    io.rancher.scheduler.affinity:host_label_ne: onsite=true
    kompose.cmd: kompose convert -f docker-compose.yml -f docker-compose.override.yml
    kompose.version: 1.16.0 (0c01309)
  creationTimestamp: null
  labels:
    io.kompose.service: argus
  name: argus
spec:
  replicas: 1
  strategy: {}
  template:
    metadata:
      creationTimestamp: null
      labels:
        io.kompose.service: argus
    spec:
      containers:
      - args:
        - /var/www/html/argus.sh
        env:
        - name: ARGUS_RATE
        - name: ARGUS_URL
        - name: BACNET_AUTH
        - name: BACNET_ENABLED
        - name: BACNET_RATE
        - name: BACNET_URL
        - name: CERES
        - name: DB_HOSTNAME
        - name: DEV
        - name: ENVIRONMENT
        - name: FACILITY_ID
        - name: FACILITY_NAME
        - name: INFLUX_HOST
        - name: INFLUX_PORT
        - name: MYSQL_DATABASE
        - name: MYSQL_PASSWORD
        - name: MYSQL_ROOT_PASSWORD
        - name: MYSQL_TEST_DATABASE
        - name: MYSQL_USER
        - name: RABBIT_HOST
        - name: RABBIT_PASS
        - name: RABBIT_PORT
        - name: RABBIT_USER
        - name: REDIS_HOSTNAME
        - name: REMOTE_DOMAIN
        - name: SHORT_NAME
        - name: THRESHOLD_CT_ON
        - name: THRESHOLD_DATA_RECEIVED
        - name: THRESHOLD_DEVICE_BOOTS
        - name: VERSION
        image: grownetics/growdash:latest
        name: argus
        resources: {}
      restartPolicy: Always
status: {}
